		
	
*********************************************************************
*
* Your line routine.
* Every time you are given: A0 : Chunky Screen (256x256x8)
*
* d0/d1  x1/y1
* d2/d3  x2/y2
* d4     colors
*
* other registers are in undefined state !!
* you may trash all regs except a7
*
*********************************************************************

_line
c

;	moveq	#0,d0
;	moveq	#0,d1
;
;	move.b	#$90,d0
;	move.b	#$90,d1
;
;	move.b	$dff00b,d0
;	move.b	$dff00a,d1
;	
;	move.w	#$ff/2,d2
;	move.w	#$ff/2,d3
;	move.b	#$ff,d4
;
;	moveq	#0,d6
;	moveq	#0,d5


	sub.w	d0,d2		;x2-x1=delta x
	rol.w	#8,d2		;make an addx value
	
	sub.w	d1,d3		;y2-y1=delta y

	lsl.w	#8,d1		;y start * screenwidth

	move.w	#256,d7
.loop	
	moveq	#0,d5		
	addx.w	d2,d0		;plot x
	addx.w	d5,d0		;I hate this!!

	add.w	d3,d1		;plot y  (yy~~)
	move.w	d1,d5
	sub.b	d5,d5
		
	add.b	d0,d5
	move.b	d4,(a0,d5.l)	;plot
	dbf	d7,.loop	

d
	rts

