*********************************************************************
*
* Your line routine.
* Every time you are given: A0 : Chunky Screen (256x256x8)
*
* d0/d1  x1/y1
* d2/d3  x2/y2
* d4     colors
*
* other registers are in undefined state !!
* you may trash all regs except a7
*
*********************************************************************

_line
c

;----------------------------------------------------------------------------
; Contraz contribution to the smallest drawline #amycoders compo!
; Coded by:
;           Skjeggspir&Brekke.
;
;	At amycoders: SP^ctz and Brekke
; 
;D0.w/D1.w= X1/Y1
;D2.w/D3.w= X2/Y2
;D4.w	  = Color
;A0=ChunkyBuffer
;
;-----------------------------------------------------------------------------


	sub.w	d0,d2
	sub.w	d1,d3

	lsl.l	#8,d1
	ror.l	#8,d2
	move.b	d2,d6
	move.w	d3,d2

	moveq.l	#0,d5
	moveq.l	#0,d7
.loop	
	move.w	d1,d5
	move.b	d0,d5
	add.l	d2,d1
	addx.b	d6,d0
	move.b	d4,(a0,d5.l)

	addq.b	#1,d7
	bne.b	.loop
d

	rts